package org.kde.koala;
import org.kde.qt.*;


/** {@link KTextBrowser} emits these signals */
public interface KTextBrowserSignals {
	void redoAvailable( boolean yes );
	void undoAvailable( boolean yes );
	void backwardAvailable( boolean arg1 );
	void currentAlignmentChanged( int a );
	void verticalSliderPressed();
	void horizontalSliderPressed();
	void textChanged();
	void sourceChanged( String arg1 );
	void forwardAvailable( boolean arg1 );
	void returnPressed();
	void contentsMoving( int x, int y );
	void linkClicked( String arg1 );
	void destroyed( QObject obj );
	void currentFontChanged( QFont f );
	void cursorPositionChanged( int para, int pos );
	void verticalSliderReleased();
	void modificationChanged( boolean m );

/** 
 Emitted when a mail link has been activated and the widget has
 been configured to emit the signal.

*/
	void mailClick( String name, String address );
	void anchorClicked( String arg1, String arg2 );

/** 
 Emitted if {@link KTextBrowser#mailClick} is not emitted and the widget has been
 configured to emit the signal.

*/
	void urlClick( String url );
	void selectionChanged();
	void doubleClicked( int parag, int index );
	void horizontalSliderReleased();
	void highlighted( String arg1 );
	void currentColorChanged( QColor c );
	void copyAvailable( boolean arg1 );
	void currentVerticalAlignmentChanged( int a );
	void clicked( int parag, int index );
}

